set variable $account_open := False

break open_account
commands
 if $account_open = True
  echo error: account opened twice\n
 else
  set variable $account_open := True
  printf "(info) account created with $%d\n", cash
  continue
 end
end

break deposit
commands
 if $account_open = False
  echo error: someone tries to deposit before opening an account\n
 else
  printf "(info) deposit: $%d\n", cash
  continue
 end
end

break withdraw
commands
 if $account_open = False
  echo error: someone tries to withdraw before opening an account\n
 else
  printf "(info) withdrawal: $%d\n", cash
  continue
 end
end

run
